#!/bin/bash

## Bash script that generates 3x3 .nc files for pisces1d from the original input files

## EDIT HERE TO CHANGE THE LOCATION OF THE 1DPISCES
## DEFAULT: LAT=56, LON=-49 (LABRADOR SEA)
LAT=56.4
LON=-49.5

##
SCRHOME=/gpfs/scratch/bsc32/bsc32786/
PROJ=pisces1d/ORCA2_OFF_PISCES/
INPUTS=input/
XIOS=xios-2.5/
NEMO=release-4.0/

# MAKE EXPID DIRECTORY AND COPY ALL THE CONTENT FROM EXP00 (.XML, EXECUTABLES, AND NAMELISTS)
mkdir -p $SCRHOME/%EXPID%/
cd $SCRHOME/%EXPID%/
mkdir -p EXP00/%MEMBER%
cd EXP00/%MEMBER%
cp -R ${SCRHOME}${PROJ}${NEMO}cfgs/PISCES1D/EXP00/nemo .
cp -R ${SCRHOME}${PROJ}${NEMO}cfgs/PISCES1D/EXP00/namelist* .
cp -R ${SCRHOME}${PROJ}${NEMO}cfgs/PISCES1D/EXP00/*.xml .
cp -R ${SCRHOME}${PROJ}${INPUTS}cropped/* .
